> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lesson Details

> Retrieves a lesson's content, settings, transcripts and media. Transcripts are read-only.



## OpenAPI

````yaml get /lessons/{id}
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /lessons/{id}:
    get:
      tags:
        - Lessons
      summary: Get Lesson Details
      description: >-
        Retrieves a lesson's content, settings, transcripts and media.
        Transcripts are read-only.
      operationId: getLesson
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Lesson ID.
      responses:
        '200':
          description: Successful request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LessonDetail'
              example:
                id: lesson_id
                section_id: section_id
                name: Introduction
                position: 1
                lesson_type: text
                drip_delay: 0
                is_published: false
                is_progression_locked: false
                description: ''
                body: <div class="lexxy-content"><h1>Welcome</h1></div>
                settings_embed_wistia: null
                settings_embed_vimeo: null
                settings_embed_youtube: null
                settings_embed_loom: null
                settings_embed_code: null
                embed_code: null
                transcripts: []
                media:
                  pdf_url: null
                  audio_url: null
                  video_poster_url: null
                  video_status: null
                  video_id: null
                  video_error: null
                  video_progress: null
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LessonError'
              example:
                error: Access denied
        '403':
          description: You do not have permission to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LessonError'
              example:
                error: Access denied
        '404':
          description: Lesson not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LessonError'
              example:
                error: Record not found
        '422':
          description: Invalid request. No changes were saved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LessonError'
              example:
                error: 'Invalid arguments: /attributes/drip_delay integer'
components:
  schemas:
    LessonDetail:
      type: object
      required:
        - id
        - section_id
        - name
        - position
        - lesson_type
        - drip_delay
        - is_published
        - is_progression_locked
      properties:
        id:
          type: string
        section_id:
          type: string
        name:
          type: string
        position:
          type: integer
          nullable: true
        lesson_type:
          type: string
          enum:
            - video
            - text
            - pdf
            - embed
            - audio
        drip_delay:
          type: integer
        is_published:
          type: boolean
        is_progression_locked:
          type: boolean
          nullable: true
        settings_embed_wistia:
          type: string
          nullable: true
        settings_embed_vimeo:
          type: string
          nullable: true
        settings_embed_youtube:
          type: string
          nullable: true
        settings_embed_loom:
          type: string
          nullable: true
        settings_embed_code:
          type: string
          nullable: true
        embed_code:
          type: string
          nullable: true
        description:
          type: string
        body:
          type: string
          description: Rendered HTML.
        transcripts:
          type: array
          items:
            type: object
            properties:
              language:
                type: string
                nullable: true
              content:
                type: string
                nullable: true
        media:
          type: object
          properties:
            pdf_url:
              type: string
              nullable: true
            audio_url:
              type: string
              nullable: true
            video_poster_url:
              type: string
              nullable: true
            video_status:
              type: string
              nullable: true
            video_id:
              type: string
              nullable: true
            video_error:
              type: string
              nullable: true
            video_progress:
              type: integer
              nullable: true
    LessonError:
      type: object
      required:
        - error
      properties:
        error:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.